## r-cran-rcppprogress 0.4.2

=== DESCRIPTION ===
Package: RcppProgress
Maintainer: Karl Forner <karl.forner@gmail.com>
License: GPL (>= 3)
Title: An Interruptible Progress Bar with OpenMP Support for C++ in R
        Packages
Type: Package
LazyLoad: yes
Author: Karl Forner <karl.forner@gmail.com>
Description: Allows to display a progress bar in the R
    console for long running computations taking place in c++ code,
    and support for interrupting those computations even in multithreaded
    code, typically using OpenMP.
URL: https://github.com/kforner/rcpp_progress
BugReports: https://github.com/kforner/rcpp_progress/issues
Version: 0.4.2
Date: 2020-02-06
Suggests: RcppArmadillo, devtools, roxygen2, testthat
RoxygenNote: 6.1.1
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-02-06 10:57:24 UTC; karl
Repository: CRAN
Date/Publication: 2020-02-06 12:10:08 UTC

=== inst/examples/RcppProgressArmadillo/DESCRIPTION ===
Package: RcppProgressArmadillo
Type: Package
Title: Example use of the RcppProgress package to reproduce a bug with RcppArmadillo
Version: 0.2
Date: 2014-11-25
Author: Karl Forner <karl.forner@quartzbio.com>
Maintainer: Karl Forner <karl.forner@quartzbio.com>
Description: Example use of the RcppProgress package in a package,
	cf http://lists.r-forge.r-project.org/pipermail/rcpp-devel/2013-August/006288.html
License: GPL (>=3)
Depends: Rcpp (>= 0.9.10), RcppProgress (>= 0.1)
LinkingTo: Rcpp, RcppProgress, RcppArmadillo

=== inst/examples/RcppProgressExample/DESCRIPTION ===
Package: RcppProgressExample
Type: Package
Title: Example use of the RcppProgress package
Version: 0.2
Date: 2012-04-17
Author: Karl Forner <karl.forner@quartzbio.com>
Maintainer: Karl Forner <karl.forner@quartzbio.com>
Description: Example use of the RcppProgress package in a package
License: GPL (>=3)
Depends: Rcpp (>= 0.9.10), RcppProgress (>= 0.1)
LinkingTo: Rcpp, RcppProgress

## r-cran-rcppprogress 0.4.1

=== debian/changelog ===
r-cran-rcppprogress (0.4.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Andreas Tille <tille@debian.org>  Tue, 11 Dec 2018 14:25:18 +0100

r-cran-rcppprogress (0.4.1-1) unstable; urgency=medium

  * Initial release (closes: #914773)

 -- Andreas Tille <tille@debian.org>  Tue, 27 Nov 2018 08:42:44 +0100

=== debian/control ===
Source: r-cran-rcppprogress
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcppprogress
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcppprogress.git
Homepage: https://cran.r-project.org/package=RcppProgress

Package: r-cran-rcppprogress
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: interruptible progress bar for C++ in GNU R packages
 This GNU R package allows one to display a progress bar in the R
 console for long running computations taking place in c++ code,
 and support for interrupting those computations even in multithreaded
 code, typically using OpenMP.

## r-cran-rcppprogress 0.4.2

=== debian/changelog ===
r-cran-rcppprogress (0.4.2-2) unstable; urgency=medium

  * Team upload.
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 16 May 2020 12:38:09 +0200

r-cran-rcppprogress (0.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 10 Feb 2020 07:13:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rcppprogress
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rcppprogress.git
 Homepage: https://cran.r-project.org/package=RcppProgress
+Rules-Requires-Root: no
 
 Package: r-cran-rcppprogress
 Architecture: all

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/RcppProgress_([-\d.]*)\.tar\.gz
